TechDraw GeometricHatch

From FreeCAD Documentation
(Redirected from TechDraw GeomHatch/ro)
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎русский
Arrow-left.svg Previous: TechDraw Hatch.svg Hatch
Next: Symbol TechDraw Symbol.svg Arrow-right.svg

TechDraw GeometricHatch.svg TechDraw GeometricHatch

Menu location
TechDraw → Apply Geometric Hatch to Face
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
TechDraw Hatch, TechDraw Hatching

Description

The GeometricHatch tool fills a closed region in a View with a pattern based on an AutoDesk PAT hatching specification. Alternatively, the Hatch tool uses an SVG or bitmap file as hatch pattern, see Hatching for details.

TechDraw GeomHatch example.png

Geometric hatch pattern on a face

Usage

  1. Select an closed region in a View.
  2. Press the TechDraw GeometricHatch.svg Apply Geometric Hatch to Face button
  3. A dialog will open where you can select your pattern, the scale, line weight and color.

Notes

A small set of sample patterns are available in:

$INSTALL_DIR/data/Mod/TechDraw/PAT/FCPAT.pat

$INSTALL_DIR is the directory where FreeCAD was installed, for example

/usr/share/freecad/data/Mod/TechDraw/PAT/FCPAT.pat

Properties

  • DataSource: The View and Face to receive the hatch pattern.
  • DataFile Pattern: The location of the PAT file to use.
  • DataName Pattern: The name of the PAT specification within File Pattern.
  • DataScale Pattern: The scale to be applied to the pattern (must be > 0.0).
  • ViewWeight Pattern: The thickness of the pattern lines.
  • ViewColor Pattern: The color for the pattern lines.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The GeometricHatch tool can be used in macros and from the Python console by using the following functions:

hatch = FreeCAD.ActiveDocument.addObject('TechDraw::DrawGeomHatch','GeomHatch')
hatch.Source = (view1,["Face0"])
hatch.FilePattern = "path/to/myPATfile.pat"
hatch.NamePattern = "Diamond"
rc = page.addView(hatch)

It is also possible to use TechDraw's geometric hatch engine to produce a compound object in the 3D space. One must take care that the base face lies on the XY plane, as the algorithm is not tailored yet for other cases:

import TechDraw
face = Part.makePlane(10,10)
patfile = "path/to/myPATfile.pat"
pattern = "Diamond"
scale = 10
hatch = TechDraw.makeGeomHatch(face, scale, pattern, patfile)
Part.show(hatch)


Arrow-left.svg Previous: TechDraw Hatch.svg Hatch
Next: Symbol TechDraw Symbol.svg Arrow-right.svg